  function targMap = targDataMap(),

  ;%***********************
  ;% Create Parameter Map *
  ;%***********************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 6;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc paramMap
    ;%
    paramMap.nSections           = nTotSects;
    paramMap.sectIdxOffset       = sectIdxOffset;
      paramMap.sections(nTotSects) = dumSection; %prealloc
    paramMap.nTotData            = -1;
    
    ;%
    ;% Auto data (double_new_moment_P)
    ;%
      section.nData     = 42;
      section.data(42)  = dumData; %prealloc
      
	  ;% double_new_moment_P.ckfi
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_P.dd
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_P.dth0i
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_P.k
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% double_new_moment_P.tf
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 9;
	
	  ;% double_new_moment_P.PIDController1_D
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 10;
	
	  ;% double_new_moment_P.PWM_Duty
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 11;
	
	  ;% double_new_moment_P.PWM_DutyFinalValue
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 12;
	
	  ;% double_new_moment_P.BRAKE_FinalValue
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 13;
	
	  ;% double_new_moment_P.DIR_FinalValue
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 14;
	
	  ;% double_new_moment_P.PWM_Frequency
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 15;
	
	  ;% double_new_moment_P.PIDController1_I
	  section.data(12).logicalSrcIdx = 12;
	  section.data(12).dtTransOffset = 16;
	
	  ;% double_new_moment_P.DiscreteDerivative2_ICPrevScaledInput
	  section.data(13).logicalSrcIdx = 13;
	  section.data(13).dtTransOffset = 17;
	
	  ;% double_new_moment_P.DiscreteDerivative1_ICPrevScaledInput
	  section.data(14).logicalSrcIdx = 14;
	  section.data(14).dtTransOffset = 18;
	
	  ;% double_new_moment_P.DiscreteDerivative3_ICPrevScaledInput
	  section.data(15).logicalSrcIdx = 15;
	  section.data(15).dtTransOffset = 19;
	
	  ;% double_new_moment_P.BRAKE_InitialValue
	  section.data(16).logicalSrcIdx = 16;
	  section.data(16).dtTransOffset = 20;
	
	  ;% double_new_moment_P.DIR_InitialValue
	  section.data(17).logicalSrcIdx = 17;
	  section.data(17).dtTransOffset = 21;
	
	  ;% double_new_moment_P.Motor_InputFilter
	  section.data(18).logicalSrcIdx = 18;
	  section.data(18).dtTransOffset = 22;
	
	  ;% double_new_moment_P.Kyvadlo1_InputFilter
	  section.data(19).logicalSrcIdx = 19;
	  section.data(19).dtTransOffset = 23;
	
	  ;% double_new_moment_P.Kyvadlo2_InputFilter
	  section.data(20).logicalSrcIdx = 20;
	  section.data(20).dtTransOffset = 24;
	
	  ;% double_new_moment_P.Motor_MaxMissedTicks
	  section.data(21).logicalSrcIdx = 21;
	  section.data(21).dtTransOffset = 25;
	
	  ;% double_new_moment_P.DigitalInput_MaxMissedTicks
	  section.data(22).logicalSrcIdx = 22;
	  section.data(22).dtTransOffset = 26;
	
	  ;% double_new_moment_P.DigitalInput1_MaxMissedTicks
	  section.data(23).logicalSrcIdx = 23;
	  section.data(23).dtTransOffset = 27;
	
	  ;% double_new_moment_P.Kyvadlo1_MaxMissedTicks
	  section.data(24).logicalSrcIdx = 24;
	  section.data(24).dtTransOffset = 28;
	
	  ;% double_new_moment_P.Kyvadlo2_MaxMissedTicks
	  section.data(25).logicalSrcIdx = 25;
	  section.data(25).dtTransOffset = 29;
	
	  ;% double_new_moment_P.AnalogInput1_MaxMissedTicks
	  section.data(26).logicalSrcIdx = 26;
	  section.data(26).dtTransOffset = 30;
	
	  ;% double_new_moment_P.AnalogInput_MaxMissedTicks
	  section.data(27).logicalSrcIdx = 27;
	  section.data(27).dtTransOffset = 31;
	
	  ;% double_new_moment_P.BRAKE_MaxMissedTicks
	  section.data(28).logicalSrcIdx = 28;
	  section.data(28).dtTransOffset = 32;
	
	  ;% double_new_moment_P.DIR_MaxMissedTicks
	  section.data(29).logicalSrcIdx = 29;
	  section.data(29).dtTransOffset = 33;
	
	  ;% double_new_moment_P.PWM_MaxMissedTicks
	  section.data(30).logicalSrcIdx = 30;
	  section.data(30).dtTransOffset = 34;
	
	  ;% double_new_moment_P.PIDController1_N
	  section.data(31).logicalSrcIdx = 31;
	  section.data(31).dtTransOffset = 35;
	
	  ;% double_new_moment_P.PIDController1_P
	  section.data(32).logicalSrcIdx = 32;
	  section.data(32).dtTransOffset = 36;
	
	  ;% double_new_moment_P.Motor_YieldWhenWaiting
	  section.data(33).logicalSrcIdx = 33;
	  section.data(33).dtTransOffset = 37;
	
	  ;% double_new_moment_P.DigitalInput_YieldWhenWaiting
	  section.data(34).logicalSrcIdx = 34;
	  section.data(34).dtTransOffset = 38;
	
	  ;% double_new_moment_P.DigitalInput1_YieldWhenWaiting
	  section.data(35).logicalSrcIdx = 35;
	  section.data(35).dtTransOffset = 39;
	
	  ;% double_new_moment_P.Kyvadlo1_YieldWhenWaiting
	  section.data(36).logicalSrcIdx = 36;
	  section.data(36).dtTransOffset = 40;
	
	  ;% double_new_moment_P.Kyvadlo2_YieldWhenWaiting
	  section.data(37).logicalSrcIdx = 37;
	  section.data(37).dtTransOffset = 41;
	
	  ;% double_new_moment_P.AnalogInput1_YieldWhenWaiting
	  section.data(38).logicalSrcIdx = 38;
	  section.data(38).dtTransOffset = 42;
	
	  ;% double_new_moment_P.AnalogInput_YieldWhenWaiting
	  section.data(39).logicalSrcIdx = 39;
	  section.data(39).dtTransOffset = 43;
	
	  ;% double_new_moment_P.BRAKE_YieldWhenWaiting
	  section.data(40).logicalSrcIdx = 40;
	  section.data(40).dtTransOffset = 44;
	
	  ;% double_new_moment_P.DIR_YieldWhenWaiting
	  section.data(41).logicalSrcIdx = 41;
	  section.data(41).dtTransOffset = 45;
	
	  ;% double_new_moment_P.PWM_YieldWhenWaiting
	  section.data(42).logicalSrcIdx = 42;
	  section.data(42).dtTransOffset = 46;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(1) = section;
      clear section
      
      section.nData     = 18;
      section.data(18)  = dumData; %prealloc
      
	  ;% double_new_moment_P.DigitalInput_BitMode
	  section.data(1).logicalSrcIdx = 43;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_P.DigitalInput1_BitMode
	  section.data(2).logicalSrcIdx = 44;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_P.BRAKE_BitMode
	  section.data(3).logicalSrcIdx = 45;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_P.DIR_BitMode
	  section.data(4).logicalSrcIdx = 46;
	  section.data(4).dtTransOffset = 3;
	
	  ;% double_new_moment_P.Motor_Channels
	  section.data(5).logicalSrcIdx = 47;
	  section.data(5).dtTransOffset = 4;
	
	  ;% double_new_moment_P.DigitalInput_Channels
	  section.data(6).logicalSrcIdx = 48;
	  section.data(6).dtTransOffset = 5;
	
	  ;% double_new_moment_P.DigitalInput1_Channels
	  section.data(7).logicalSrcIdx = 49;
	  section.data(7).dtTransOffset = 6;
	
	  ;% double_new_moment_P.Kyvadlo1_Channels
	  section.data(8).logicalSrcIdx = 50;
	  section.data(8).dtTransOffset = 7;
	
	  ;% double_new_moment_P.Kyvadlo2_Channels
	  section.data(9).logicalSrcIdx = 51;
	  section.data(9).dtTransOffset = 8;
	
	  ;% double_new_moment_P.AnalogInput1_Channels
	  section.data(10).logicalSrcIdx = 52;
	  section.data(10).dtTransOffset = 9;
	
	  ;% double_new_moment_P.AnalogInput_Channels
	  section.data(11).logicalSrcIdx = 53;
	  section.data(11).dtTransOffset = 10;
	
	  ;% double_new_moment_P.BRAKE_Channels
	  section.data(12).logicalSrcIdx = 54;
	  section.data(12).dtTransOffset = 11;
	
	  ;% double_new_moment_P.DIR_Channels
	  section.data(13).logicalSrcIdx = 55;
	  section.data(13).dtTransOffset = 12;
	
	  ;% double_new_moment_P.PWM_Channels
	  section.data(14).logicalSrcIdx = 56;
	  section.data(14).dtTransOffset = 13;
	
	  ;% double_new_moment_P.AnalogInput1_RangeMode
	  section.data(15).logicalSrcIdx = 57;
	  section.data(15).dtTransOffset = 14;
	
	  ;% double_new_moment_P.AnalogInput_RangeMode
	  section.data(16).logicalSrcIdx = 58;
	  section.data(16).dtTransOffset = 15;
	
	  ;% double_new_moment_P.AnalogInput1_VoltRange
	  section.data(17).logicalSrcIdx = 59;
	  section.data(17).dtTransOffset = 16;
	
	  ;% double_new_moment_P.AnalogInput_VoltRange
	  section.data(18).logicalSrcIdx = 60;
	  section.data(18).dtTransOffset = 17;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(2) = section;
      clear section
      
      section.nData     = 101;
      section.data(101)  = dumData; %prealloc
      
	  ;% double_new_moment_P.Constant13_Value
	  section.data(1).logicalSrcIdx = 61;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_P.Constant14_Value
	  section.data(2).logicalSrcIdx = 62;
	  section.data(2).dtTransOffset = 2;
	
	  ;% double_new_moment_P.Constant12_Value
	  section.data(3).logicalSrcIdx = 63;
	  section.data(3).dtTransOffset = 4;
	
	  ;% double_new_moment_P.C_Gain
	  section.data(4).logicalSrcIdx = 64;
	  section.data(4).dtTransOffset = 6;
	
	  ;% double_new_moment_P.D_Gain
	  section.data(5).logicalSrcIdx = 65;
	  section.data(5).dtTransOffset = 7;
	
	  ;% double_new_moment_P.Saturation2_UpperSat
	  section.data(6).logicalSrcIdx = 66;
	  section.data(6).dtTransOffset = 8;
	
	  ;% double_new_moment_P.Saturation2_LowerSat
	  section.data(7).logicalSrcIdx = 67;
	  section.data(7).dtTransOffset = 9;
	
	  ;% double_new_moment_P.Constant5_Value
	  section.data(8).logicalSrcIdx = 68;
	  section.data(8).dtTransOffset = 10;
	
	  ;% double_new_moment_P.Constant4_Value
	  section.data(9).logicalSrcIdx = 69;
	  section.data(9).dtTransOffset = 14;
	
	  ;% double_new_moment_P.Constant6_Value
	  section.data(10).logicalSrcIdx = 70;
	  section.data(10).dtTransOffset = 18;
	
	  ;% double_new_moment_P.Constant7_Value
	  section.data(11).logicalSrcIdx = 71;
	  section.data(11).dtTransOffset = 19;
	
	  ;% double_new_moment_P.Swingupon_Gain
	  section.data(12).logicalSrcIdx = 72;
	  section.data(12).dtTransOffset = 20;
	
	  ;% double_new_moment_P.Switch4_Threshold
	  section.data(13).logicalSrcIdx = 73;
	  section.data(13).dtTransOffset = 21;
	
	  ;% double_new_moment_P.Saturation5_UpperSat
	  section.data(14).logicalSrcIdx = 74;
	  section.data(14).dtTransOffset = 22;
	
	  ;% double_new_moment_P.Saturation5_LowerSat
	  section.data(15).logicalSrcIdx = 75;
	  section.data(15).dtTransOffset = 23;
	
	  ;% double_new_moment_P.Switch1_Threshold
	  section.data(16).logicalSrcIdx = 76;
	  section.data(16).dtTransOffset = 24;
	
	  ;% double_new_moment_P.Switch_Threshold
	  section.data(17).logicalSrcIdx = 77;
	  section.data(17).dtTransOffset = 25;
	
	  ;% double_new_moment_P.Saturation_UpperSat
	  section.data(18).logicalSrcIdx = 78;
	  section.data(18).dtTransOffset = 26;
	
	  ;% double_new_moment_P.Saturation_LowerSat
	  section.data(19).logicalSrcIdx = 79;
	  section.data(19).dtTransOffset = 27;
	
	  ;% double_new_moment_P.Poloha_Gain
	  section.data(20).logicalSrcIdx = 80;
	  section.data(20).dtTransOffset = 28;
	
	  ;% double_new_moment_P.Constant9_Value
	  section.data(21).logicalSrcIdx = 81;
	  section.data(21).dtTransOffset = 29;
	
	  ;% double_new_moment_P.Constant8_Value
	  section.data(22).logicalSrcIdx = 82;
	  section.data(22).dtTransOffset = 30;
	
	  ;% double_new_moment_P.Constant1_Value
	  section.data(23).logicalSrcIdx = 83;
	  section.data(23).dtTransOffset = 31;
	
	  ;% double_new_moment_P.A_Value
	  section.data(24).logicalSrcIdx = 84;
	  section.data(24).dtTransOffset = 32;
	
	  ;% double_new_moment_P.C_Value
	  section.data(25).logicalSrcIdx = 85;
	  section.data(25).dtTransOffset = 81;
	
	  ;% double_new_moment_P.G_Value
	  section.data(26).logicalSrcIdx = 86;
	  section.data(26).dtTransOffset = 109;
	
	  ;% double_new_moment_P.H_Value
	  section.data(27).logicalSrcIdx = 87;
	  section.data(27).dtTransOffset = 158;
	
	  ;% double_new_moment_P.Q_Value
	  section.data(28).logicalSrcIdx = 88;
	  section.data(28).dtTransOffset = 186;
	
	  ;% double_new_moment_P.R_Value
	  section.data(29).logicalSrcIdx = 89;
	  section.data(29).dtTransOffset = 235;
	
	  ;% double_new_moment_P.N_Value
	  section.data(30).logicalSrcIdx = 90;
	  section.data(30).dtTransOffset = 251;
	
	  ;% double_new_moment_P.helvychlenkyvadla_Gain
	  section.data(31).logicalSrcIdx = 91;
	  section.data(31).dtTransOffset = 279;
	
	  ;% double_new_moment_P.helvychlenkyvadla1_Gain
	  section.data(32).logicalSrcIdx = 92;
	  section.data(32).dtTransOffset = 280;
	
	  ;% double_new_moment_P.Constant2_Value
	  section.data(33).logicalSrcIdx = 93;
	  section.data(33).dtTransOffset = 281;
	
	  ;% double_new_moment_P.Stabilizaceon1_Gain
	  section.data(34).logicalSrcIdx = 94;
	  section.data(34).dtTransOffset = 282;
	
	  ;% double_new_moment_P.Q1_Value
	  section.data(35).logicalSrcIdx = 95;
	  section.data(35).dtTransOffset = 283;
	
	  ;% double_new_moment_P.u_Value
	  section.data(36).logicalSrcIdx = 96;
	  section.data(36).dtTransOffset = 284;
	
	  ;% double_new_moment_P.Gain_Gain
	  section.data(37).logicalSrcIdx = 97;
	  section.data(37).dtTransOffset = 285;
	
	  ;% double_new_moment_P.Delay_x_InitialCondition
	  section.data(38).logicalSrcIdx = 98;
	  section.data(38).dtTransOffset = 286;
	
	  ;% double_new_moment_P.D_Value
	  section.data(39).logicalSrcIdx = 99;
	  section.data(39).dtTransOffset = 287;
	
	  ;% double_new_moment_P.TSamp_WtEt
	  section.data(40).logicalSrcIdx = 100;
	  section.data(40).dtTransOffset = 291;
	
	  ;% double_new_moment_P.D_Gain_o
	  section.data(41).logicalSrcIdx = 101;
	  section.data(41).dtTransOffset = 292;
	
	  ;% double_new_moment_P.Delay_x_InitialCondition_i
	  section.data(42).logicalSrcIdx = 102;
	  section.data(42).dtTransOffset = 293;
	
	  ;% double_new_moment_P.C_Gain_a
	  section.data(43).logicalSrcIdx = 103;
	  section.data(43).dtTransOffset = 294;
	
	  ;% double_new_moment_P.Gain1_Gain
	  section.data(44).logicalSrcIdx = 104;
	  section.data(44).dtTransOffset = 295;
	
	  ;% double_new_moment_P.filtr1_NumCoef
	  section.data(45).logicalSrcIdx = 105;
	  section.data(45).dtTransOffset = 296;
	
	  ;% double_new_moment_P.filtr1_DenCoef
	  section.data(46).logicalSrcIdx = 106;
	  section.data(46).dtTransOffset = 297;
	
	  ;% double_new_moment_P.filtr1_InitialStates
	  section.data(47).logicalSrcIdx = 107;
	  section.data(47).dtTransOffset = 299;
	
	  ;% double_new_moment_P.Gain2_Gain
	  section.data(48).logicalSrcIdx = 108;
	  section.data(48).dtTransOffset = 300;
	
	  ;% double_new_moment_P.filtr3_NumCoef
	  section.data(49).logicalSrcIdx = 109;
	  section.data(49).dtTransOffset = 301;
	
	  ;% double_new_moment_P.filtr3_DenCoef
	  section.data(50).logicalSrcIdx = 110;
	  section.data(50).dtTransOffset = 302;
	
	  ;% double_new_moment_P.filtr3_InitialStates
	  section.data(51).logicalSrcIdx = 111;
	  section.data(51).dtTransOffset = 304;
	
	  ;% double_new_moment_P.Gain3_Gain
	  section.data(52).logicalSrcIdx = 112;
	  section.data(52).dtTransOffset = 305;
	
	  ;% double_new_moment_P.Pojezd_Value
	  section.data(53).logicalSrcIdx = 113;
	  section.data(53).dtTransOffset = 306;
	
	  ;% double_new_moment_P.Gain31_Gain
	  section.data(54).logicalSrcIdx = 114;
	  section.data(54).dtTransOffset = 307;
	
	  ;% double_new_moment_P.Gain32_Gain
	  section.data(55).logicalSrcIdx = 115;
	  section.data(55).dtTransOffset = 308;
	
	  ;% double_new_moment_P.Gain33_Gain
	  section.data(56).logicalSrcIdx = 116;
	  section.data(56).dtTransOffset = 309;
	
	  ;% double_new_moment_P.Gain34_Gain
	  section.data(57).logicalSrcIdx = 117;
	  section.data(57).dtTransOffset = 310;
	
	  ;% double_new_moment_P.Gain35_Gain
	  section.data(58).logicalSrcIdx = 118;
	  section.data(58).dtTransOffset = 311;
	
	  ;% double_new_moment_P.Gain36_Gain
	  section.data(59).logicalSrcIdx = 119;
	  section.data(59).dtTransOffset = 312;
	
	  ;% double_new_moment_P.Gain10_Gain
	  section.data(60).logicalSrcIdx = 120;
	  section.data(60).dtTransOffset = 313;
	
	  ;% double_new_moment_P.Gain4_Gain
	  section.data(61).logicalSrcIdx = 121;
	  section.data(61).dtTransOffset = 314;
	
	  ;% double_new_moment_P.Saturation3_UpperSat
	  section.data(62).logicalSrcIdx = 122;
	  section.data(62).dtTransOffset = 315;
	
	  ;% double_new_moment_P.Saturation3_LowerSat
	  section.data(63).logicalSrcIdx = 123;
	  section.data(63).dtTransOffset = 316;
	
	  ;% double_new_moment_P.Saturation4_UpperSat
	  section.data(64).logicalSrcIdx = 124;
	  section.data(64).dtTransOffset = 317;
	
	  ;% double_new_moment_P.Saturation4_LowerSat
	  section.data(65).logicalSrcIdx = 125;
	  section.data(65).dtTransOffset = 318;
	
	  ;% double_new_moment_P.Constant11_Value
	  section.data(66).logicalSrcIdx = 126;
	  section.data(66).dtTransOffset = 319;
	
	  ;% double_new_moment_P.Constant3_Value
	  section.data(67).logicalSrcIdx = 127;
	  section.data(67).dtTransOffset = 320;
	
	  ;% double_new_moment_P.Integrator_gainval
	  section.data(68).logicalSrcIdx = 128;
	  section.data(68).dtTransOffset = 321;
	
	  ;% double_new_moment_P.Constant15_Value
	  section.data(69).logicalSrcIdx = 129;
	  section.data(69).dtTransOffset = 322;
	
	  ;% double_new_moment_P.Filter_gainval
	  section.data(70).logicalSrcIdx = 130;
	  section.data(70).dtTransOffset = 323;
	
	  ;% double_new_moment_P.Constant16_Value
	  section.data(71).logicalSrcIdx = 131;
	  section.data(71).dtTransOffset = 324;
	
	  ;% double_new_moment_P.DiscreteTimeIntegrator_gainval
	  section.data(72).logicalSrcIdx = 132;
	  section.data(72).dtTransOffset = 325;
	
	  ;% double_new_moment_P.Gain5_Gain
	  section.data(73).logicalSrcIdx = 133;
	  section.data(73).dtTransOffset = 326;
	
	  ;% double_new_moment_P.Gain7_Gain
	  section.data(74).logicalSrcIdx = 134;
	  section.data(74).dtTransOffset = 327;
	
	  ;% double_new_moment_P.A_Value_j
	  section.data(75).logicalSrcIdx = 135;
	  section.data(75).dtTransOffset = 328;
	
	  ;% double_new_moment_P.C_Value_i
	  section.data(76).logicalSrcIdx = 136;
	  section.data(76).dtTransOffset = 337;
	
	  ;% double_new_moment_P.G_Value_a
	  section.data(77).logicalSrcIdx = 137;
	  section.data(77).dtTransOffset = 343;
	
	  ;% double_new_moment_P.H_Value_p
	  section.data(78).logicalSrcIdx = 138;
	  section.data(78).dtTransOffset = 352;
	
	  ;% double_new_moment_P.Q2_Value
	  section.data(79).logicalSrcIdx = 139;
	  section.data(79).dtTransOffset = 358;
	
	  ;% double_new_moment_P.R1_Value
	  section.data(80).logicalSrcIdx = 140;
	  section.data(80).dtTransOffset = 367;
	
	  ;% double_new_moment_P.N_Value_l
	  section.data(81).logicalSrcIdx = 141;
	  section.data(81).dtTransOffset = 371;
	
	  ;% double_new_moment_P.P0_Value
	  section.data(82).logicalSrcIdx = 142;
	  section.data(82).dtTransOffset = 377;
	
	  ;% double_new_moment_P.u_Value_a
	  section.data(83).logicalSrcIdx = 143;
	  section.data(83).dtTransOffset = 386;
	
	  ;% double_new_moment_P.D_Value_i
	  section.data(84).logicalSrcIdx = 144;
	  section.data(84).dtTransOffset = 387;
	
	  ;% double_new_moment_P.X0_Value
	  section.data(85).logicalSrcIdx = 145;
	  section.data(85).dtTransOffset = 389;
	
	  ;% double_new_moment_P.Integrator_gainval_i
	  section.data(86).logicalSrcIdx = 146;
	  section.data(86).dtTransOffset = 392;
	
	  ;% double_new_moment_P.Integrator_IC
	  section.data(87).logicalSrcIdx = 147;
	  section.data(87).dtTransOffset = 393;
	
	  ;% double_new_moment_P.Filter_gainval_p
	  section.data(88).logicalSrcIdx = 148;
	  section.data(88).dtTransOffset = 394;
	
	  ;% double_new_moment_P.Filter_IC
	  section.data(89).logicalSrcIdx = 149;
	  section.data(89).dtTransOffset = 395;
	
	  ;% double_new_moment_P.Constant_Value
	  section.data(90).logicalSrcIdx = 150;
	  section.data(90).dtTransOffset = 396;
	
	  ;% double_new_moment_P.Constant_Value_o
	  section.data(91).logicalSrcIdx = 151;
	  section.data(91).dtTransOffset = 397;
	
	  ;% double_new_moment_P.Saturation1_UpperSat
	  section.data(92).logicalSrcIdx = 152;
	  section.data(92).dtTransOffset = 398;
	
	  ;% double_new_moment_P.Saturation1_LowerSat
	  section.data(93).logicalSrcIdx = 153;
	  section.data(93).dtTransOffset = 399;
	
	  ;% double_new_moment_P.TSamp_WtEt_o
	  section.data(94).logicalSrcIdx = 154;
	  section.data(94).dtTransOffset = 400;
	
	  ;% double_new_moment_P.TSamp_WtEt_i
	  section.data(95).logicalSrcIdx = 155;
	  section.data(95).dtTransOffset = 401;
	
	  ;% double_new_moment_P.A_Gain
	  section.data(96).logicalSrcIdx = 156;
	  section.data(96).dtTransOffset = 402;
	
	  ;% double_new_moment_P.B_Gain
	  section.data(97).logicalSrcIdx = 157;
	  section.data(97).dtTransOffset = 403;
	
	  ;% double_new_moment_P.A_Gain_h
	  section.data(98).logicalSrcIdx = 158;
	  section.data(98).dtTransOffset = 404;
	
	  ;% double_new_moment_P.B_Gain_p
	  section.data(99).logicalSrcIdx = 159;
	  section.data(99).dtTransOffset = 405;
	
	  ;% double_new_moment_P.B_Value
	  section.data(100).logicalSrcIdx = 160;
	  section.data(100).dtTransOffset = 406;
	
	  ;% double_new_moment_P.B_Value_n
	  section.data(101).logicalSrcIdx = 161;
	  section.data(101).dtTransOffset = 413;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(3) = section;
      clear section
      
      section.nData     = 4;
      section.data(4)  = dumData; %prealloc
      
	  ;% double_new_moment_P.MemoryP_DelayLength
	  section.data(1).logicalSrcIdx = 162;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_P.MemoryX_DelayLength
	  section.data(2).logicalSrcIdx = 163;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_P.MemoryP_DelayLength_l
	  section.data(3).logicalSrcIdx = 164;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_P.MemoryX_DelayLength_k
	  section.data(4).logicalSrcIdx = 165;
	  section.data(4).dtTransOffset = 3;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(4) = section;
      clear section
      
      section.nData     = 8;
      section.data(8)  = dumData; %prealloc
      
	  ;% double_new_moment_P.ManualSwitch3_CurrentSetting
	  section.data(1).logicalSrcIdx = 166;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_P.ManualSwitch6_CurrentSetting
	  section.data(2).logicalSrcIdx = 167;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_P.ManualSwitch7_CurrentSetting
	  section.data(3).logicalSrcIdx = 168;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_P.ManualSwitch_CurrentSetting
	  section.data(4).logicalSrcIdx = 169;
	  section.data(4).dtTransOffset = 3;
	
	  ;% double_new_moment_P.ManualSwitch2_CurrentSetting
	  section.data(5).logicalSrcIdx = 170;
	  section.data(5).dtTransOffset = 4;
	
	  ;% double_new_moment_P.ManualSwitch5_CurrentSetting
	  section.data(6).logicalSrcIdx = 171;
	  section.data(6).dtTransOffset = 5;
	
	  ;% double_new_moment_P.ManualSwitch1_CurrentSetting
	  section.data(7).logicalSrcIdx = 172;
	  section.data(7).dtTransOffset = 6;
	
	  ;% double_new_moment_P.ManualSwitch4_CurrentSetting
	  section.data(8).logicalSrcIdx = 173;
	  section.data(8).dtTransOffset = 7;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(5) = section;
      clear section
      
      section.nData     = 4;
      section.data(4)  = dumData; %prealloc
      
	  ;% double_new_moment_P.Constant_Value_e
	  section.data(1).logicalSrcIdx = 174;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_P.Constant_Value_c
	  section.data(2).logicalSrcIdx = 175;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_P.Enable_Value
	  section.data(3).logicalSrcIdx = 176;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_P.Enable_Value_f
	  section.data(4).logicalSrcIdx = 177;
	  section.data(4).dtTransOffset = 3;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(6) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (parameter)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    paramMap.nTotData = nTotData;
    


  ;%**************************
  ;% Create Block Output Map *
  ;%**************************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 6;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc sigMap
    ;%
    sigMap.nSections           = nTotSects;
    sigMap.sectIdxOffset       = sectIdxOffset;
      sigMap.sections(nTotSects) = dumSection; %prealloc
    sigMap.nTotData            = -1;
    
    ;%
    ;% Auto data (double_new_moment_B)
    ;%
      section.nData     = 61;
      section.data(61)  = dumData; %prealloc
      
	  ;% double_new_moment_B.Poloha
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_B.Constant9
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_B.Constant8
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_B.Constant1
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% double_new_moment_B.helvychlenkyvadla
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
	  ;% double_new_moment_B.helvychlenkyvadla1
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 5;
	
	  ;% double_new_moment_B.ManualSwitch3
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 6;
	
	  ;% double_new_moment_B.Stabilizaceon1
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 10;
	
	  ;% double_new_moment_B.Gain
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 11;
	
	  ;% double_new_moment_B.Fcn1
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 12;
	
	  ;% double_new_moment_B.ManualSwitch6
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 13;
	
	  ;% double_new_moment_B.TSamp
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 14;
	
	  ;% double_new_moment_B.Gain1
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 15;
	
	  ;% double_new_moment_B.Gain2
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 16;
	
	  ;% double_new_moment_B.Gain3
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 17;
	
	  ;% double_new_moment_B.Reshapexhat
	  section.data(16).logicalSrcIdx = 16;
	  section.data(16).dtTransOffset = 18;
	
	  ;% double_new_moment_B.ManualSwitch7
	  section.data(17).logicalSrcIdx = 17;
	  section.data(17).dtTransOffset = 25;
	
	  ;% double_new_moment_B.Gain31
	  section.data(18).logicalSrcIdx = 18;
	  section.data(18).dtTransOffset = 26;
	
	  ;% double_new_moment_B.Gain32
	  section.data(19).logicalSrcIdx = 19;
	  section.data(19).dtTransOffset = 27;
	
	  ;% double_new_moment_B.Gain33
	  section.data(20).logicalSrcIdx = 20;
	  section.data(20).dtTransOffset = 28;
	
	  ;% double_new_moment_B.Gain34
	  section.data(21).logicalSrcIdx = 21;
	  section.data(21).dtTransOffset = 29;
	
	  ;% double_new_moment_B.Gain35
	  section.data(22).logicalSrcIdx = 22;
	  section.data(22).dtTransOffset = 30;
	
	  ;% double_new_moment_B.Gain36
	  section.data(23).logicalSrcIdx = 23;
	  section.data(23).dtTransOffset = 31;
	
	  ;% double_new_moment_B.Saturation3
	  section.data(24).logicalSrcIdx = 24;
	  section.data(24).dtTransOffset = 32;
	
	  ;% double_new_moment_B.Clock1
	  section.data(25).logicalSrcIdx = 25;
	  section.data(25).dtTransOffset = 33;
	
	  ;% double_new_moment_B.RateTransition1
	  section.data(26).logicalSrcIdx = 26;
	  section.data(26).dtTransOffset = 34;
	
	  ;% double_new_moment_B.Constant11
	  section.data(27).logicalSrcIdx = 27;
	  section.data(27).dtTransOffset = 35;
	
	  ;% double_new_moment_B.Constant3
	  section.data(28).logicalSrcIdx = 28;
	  section.data(28).dtTransOffset = 36;
	
	  ;% double_new_moment_B.NOut
	  section.data(29).logicalSrcIdx = 29;
	  section.data(29).dtTransOffset = 37;
	
	  ;% double_new_moment_B.Clock
	  section.data(30).logicalSrcIdx = 30;
	  section.data(30).dtTransOffset = 38;
	
	  ;% double_new_moment_B.Gain7
	  section.data(31).logicalSrcIdx = 31;
	  section.data(31).dtTransOffset = 39;
	
	  ;% double_new_moment_B.Reshapexhat_i
	  section.data(32).logicalSrcIdx = 32;
	  section.data(32).dtTransOffset = 40;
	
	  ;% double_new_moment_B.ManualSwitch5
	  section.data(33).logicalSrcIdx = 33;
	  section.data(33).dtTransOffset = 43;
	
	  ;% double_new_moment_B.FilterCoefficient
	  section.data(34).logicalSrcIdx = 34;
	  section.data(34).dtTransOffset = 44;
	
	  ;% double_new_moment_B.ManualSwitch1
	  section.data(35).logicalSrcIdx = 35;
	  section.data(35).dtTransOffset = 45;
	
	  ;% double_new_moment_B.Fcn2
	  section.data(36).logicalSrcIdx = 36;
	  section.data(36).dtTransOffset = 46;
	
	  ;% double_new_moment_B.Gain16
	  section.data(37).logicalSrcIdx = 37;
	  section.data(37).dtTransOffset = 47;
	
	  ;% double_new_moment_B.Saturation1
	  section.data(38).logicalSrcIdx = 38;
	  section.data(38).dtTransOffset = 48;
	
	  ;% double_new_moment_B.Product
	  section.data(39).logicalSrcIdx = 39;
	  section.data(39).dtTransOffset = 49;
	
	  ;% double_new_moment_B.TSamp_g
	  section.data(40).logicalSrcIdx = 40;
	  section.data(40).dtTransOffset = 50;
	
	  ;% double_new_moment_B.Diff
	  section.data(41).logicalSrcIdx = 41;
	  section.data(41).dtTransOffset = 51;
	
	  ;% double_new_moment_B.TSamp_k
	  section.data(42).logicalSrcIdx = 42;
	  section.data(42).dtTransOffset = 52;
	
	  ;% double_new_moment_B.Diff_l
	  section.data(43).logicalSrcIdx = 43;
	  section.data(43).dtTransOffset = 53;
	
	  ;% double_new_moment_B.xk1
	  section.data(44).logicalSrcIdx = 44;
	  section.data(44).dtTransOffset = 54;
	
	  ;% double_new_moment_B.xk1_d
	  section.data(45).logicalSrcIdx = 45;
	  section.data(45).dtTransOffset = 55;
	
	  ;% double_new_moment_B.FromWorkspace
	  section.data(46).logicalSrcIdx = 46;
	  section.data(46).dtTransOffset = 56;
	
	  ;% double_new_moment_B.Add
	  section.data(47).logicalSrcIdx = 47;
	  section.data(47).dtTransOffset = 57;
	
	  ;% double_new_moment_B.Add_f
	  section.data(48).logicalSrcIdx = 48;
	  section.data(48).dtTransOffset = 64;
	
	  ;% double_new_moment_B.IOut
	  section.data(49).logicalSrcIdx = 49;
	  section.data(49).dtTransOffset = 67;
	
	  ;% double_new_moment_B.IntegralGain
	  section.data(50).logicalSrcIdx = 50;
	  section.data(50).dtTransOffset = 68;
	
	  ;% double_new_moment_B.signal
	  section.data(51).logicalSrcIdx = 51;
	  section.data(51).dtTransOffset = 69;
	
	  ;% double_new_moment_B.bound_flag
	  section.data(52).logicalSrcIdx = 52;
	  section.data(52).dtTransOffset = 70;
	
	  ;% double_new_moment_B.stab_flag
	  section.data(53).logicalSrcIdx = 53;
	  section.data(53).dtTransOffset = 71;
	
	  ;% double_new_moment_B.su_flag
	  section.data(54).logicalSrcIdx = 54;
	  section.data(54).dtTransOffset = 72;
	
	  ;% double_new_moment_B.Product2
	  section.data(55).logicalSrcIdx = 55;
	  section.data(55).dtTransOffset = 73;
	
	  ;% double_new_moment_B.Product3
	  section.data(56).logicalSrcIdx = 56;
	  section.data(56).dtTransOffset = 76;
	
	  ;% double_new_moment_B.PNew
	  section.data(57).logicalSrcIdx = 57;
	  section.data(57).dtTransOffset = 79;
	
	  ;% double_new_moment_B.Product2_d
	  section.data(58).logicalSrcIdx = 58;
	  section.data(58).dtTransOffset = 88;
	
	  ;% double_new_moment_B.Product3_i
	  section.data(59).logicalSrcIdx = 60;
	  section.data(59).dtTransOffset = 95;
	
	  ;% double_new_moment_B.PNew_o
	  section.data(60).logicalSrcIdx = 61;
	  section.data(60).dtTransOffset = 102;
	
	  ;% double_new_moment_B.stabFlag2
	  section.data(61).logicalSrcIdx = 62;
	  section.data(61).dtTransOffset = 151;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(1) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% double_new_moment_B.Compare
	  section.data(1).logicalSrcIdx = 63;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_B.Compare_a
	  section.data(2).logicalSrcIdx = 64;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(2) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% double_new_moment_B.sf_MATLABFunction3.y
	  section.data(1).logicalSrcIdx = 65;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(3) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% double_new_moment_B.sf_MATLABFunction2.y
	  section.data(1).logicalSrcIdx = 66;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(4) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% double_new_moment_B.sf_MATLABFunction1.y
	  section.data(1).logicalSrcIdx = 67;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(5) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% double_new_moment_B.sf_MATLABFunction.y
	  section.data(1).logicalSrcIdx = 68;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(6) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (signal)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    sigMap.nTotData = nTotData;
    


  ;%*******************
  ;% Create DWork Map *
  ;%*******************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 7;
    sectIdxOffset = 6;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc dworkMap
    ;%
    dworkMap.nSections           = nTotSects;
    dworkMap.sectIdxOffset       = sectIdxOffset;
      dworkMap.sections(nTotSects) = dumSection; %prealloc
    dworkMap.nTotData            = -1;
    
    ;%
    ;% Auto data (double_new_moment_DW)
    ;%
      section.nData     = 20;
      section.data(20)  = dumData; %prealloc
      
	  ;% double_new_moment_DW.MemoryP_DSTATE
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_DW.Delay_x_DSTATE
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 49;
	
	  ;% double_new_moment_DW.UD_DSTATE
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 50;
	
	  ;% double_new_moment_DW.Delay_x_DSTATE_e
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 51;
	
	  ;% double_new_moment_DW.filtr1_states
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 52;
	
	  ;% double_new_moment_DW.filtr3_states
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 53;
	
	  ;% double_new_moment_DW.MemoryX_DSTATE
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 54;
	
	  ;% double_new_moment_DW.Integrator_DSTATE
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 61;
	
	  ;% double_new_moment_DW.Filter_DSTATE
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 62;
	
	  ;% double_new_moment_DW.DiscreteTimeIntegrator_DSTATE
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 63;
	
	  ;% double_new_moment_DW.MemoryP_DSTATE_e
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 64;
	
	  ;% double_new_moment_DW.MemoryX_DSTATE_b
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 73;
	
	  ;% double_new_moment_DW.Integrator_DSTATE_p
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 76;
	
	  ;% double_new_moment_DW.Filter_DSTATE_g
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 77;
	
	  ;% double_new_moment_DW.UD_DSTATE_p
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 78;
	
	  ;% double_new_moment_DW.UD_DSTATE_i
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 79;
	
	  ;% double_new_moment_DW.leveKC
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 80;
	
	  ;% double_new_moment_DW.praveKC
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 81;
	
	  ;% double_new_moment_DW.time
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 82;
	
	  ;% double_new_moment_DW.timeStab
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 83;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(1) = section;
      clear section
      
      section.nData     = 24;
      section.data(24)  = dumData; %prealloc
      
	  ;% double_new_moment_DW.Motor_PWORK
	  section.data(1).logicalSrcIdx = 20;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_DW.DigitalInput_PWORK
	  section.data(2).logicalSrcIdx = 21;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_DW.DigitalInput1_PWORK
	  section.data(3).logicalSrcIdx = 22;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_DW.Kyvadlo1_PWORK
	  section.data(4).logicalSrcIdx = 23;
	  section.data(4).dtTransOffset = 3;
	
	  ;% double_new_moment_DW.Kyvadlo2_PWORK
	  section.data(5).logicalSrcIdx = 24;
	  section.data(5).dtTransOffset = 4;
	
	  ;% double_new_moment_DW.AnalogInput1_PWORK
	  section.data(6).logicalSrcIdx = 25;
	  section.data(6).dtTransOffset = 5;
	
	  ;% double_new_moment_DW.AnalogInput_PWORK
	  section.data(7).logicalSrcIdx = 26;
	  section.data(7).dtTransOffset = 6;
	
	  ;% double_new_moment_DW.BRAKE_PWORK
	  section.data(8).logicalSrcIdx = 27;
	  section.data(8).dtTransOffset = 7;
	
	  ;% double_new_moment_DW.DIR_PWORK
	  section.data(9).logicalSrcIdx = 28;
	  section.data(9).dtTransOffset = 8;
	
	  ;% double_new_moment_DW.PWM_PWORK
	  section.data(10).logicalSrcIdx = 29;
	  section.data(10).dtTransOffset = 9;
	
	  ;% double_new_moment_DW.Arm2scope3_PWORK.LoggedData
	  section.data(11).logicalSrcIdx = 30;
	  section.data(11).dtTransOffset = 10;
	
	  ;% double_new_moment_DW.Arm2scope4_PWORK.LoggedData
	  section.data(12).logicalSrcIdx = 31;
	  section.data(12).dtTransOffset = 11;
	
	  ;% double_new_moment_DW.Cartscope1_PWORK.LoggedData
	  section.data(13).logicalSrcIdx = 32;
	  section.data(13).dtTransOffset = 12;
	
	  ;% double_new_moment_DW.Cartscope2_PWORK.LoggedData
	  section.data(14).logicalSrcIdx = 33;
	  section.data(14).dtTransOffset = 15;
	
	  ;% double_new_moment_DW.Cartscope6_PWORK.LoggedData
	  section.data(15).logicalSrcIdx = 34;
	  section.data(15).dtTransOffset = 17;
	
	  ;% double_new_moment_DW.Cartscope7_PWORK.LoggedData
	  section.data(16).logicalSrcIdx = 35;
	  section.data(16).dtTransOffset = 20;
	
	  ;% double_new_moment_DW.Kalman_PWORK.LoggedData
	  section.data(17).logicalSrcIdx = 36;
	  section.data(17).dtTransOffset = 23;
	
	  ;% double_new_moment_DW.Scope_PWORK.LoggedData
	  section.data(18).logicalSrcIdx = 37;
	  section.data(18).dtTransOffset = 30;
	
	  ;% double_new_moment_DW.Scope1_PWORK.LoggedData
	  section.data(19).logicalSrcIdx = 38;
	  section.data(19).dtTransOffset = 31;
	
	  ;% double_new_moment_DW.Scope2_PWORK.LoggedData
	  section.data(20).logicalSrcIdx = 39;
	  section.data(20).dtTransOffset = 33;
	
	  ;% double_new_moment_DW.Scope3_PWORK.LoggedData
	  section.data(21).logicalSrcIdx = 40;
	  section.data(21).dtTransOffset = 34;
	
	  ;% double_new_moment_DW.Scope4_PWORK.LoggedData
	  section.data(22).logicalSrcIdx = 41;
	  section.data(22).dtTransOffset = 36;
	
	  ;% double_new_moment_DW.Scope5_PWORK.LoggedData
	  section.data(23).logicalSrcIdx = 42;
	  section.data(23).dtTransOffset = 37;
	
	  ;% double_new_moment_DW.FromWorkspace_PWORK.TimePtr
	  section.data(24).logicalSrcIdx = 43;
	  section.data(24).dtTransOffset = 39;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(2) = section;
      clear section
      
      section.nData     = 3;
      section.data(3)  = dumData; %prealloc
      
	  ;% double_new_moment_DW.sfEvent
	  section.data(1).logicalSrcIdx = 44;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_DW.sfEvent_j
	  section.data(2).logicalSrcIdx = 45;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_DW.sfEvent_e
	  section.data(3).logicalSrcIdx = 46;
	  section.data(3).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(3) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% double_new_moment_DW.FromWorkspace_IWORK.PrevIndex
	  section.data(1).logicalSrcIdx = 47;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(4) = section;
      clear section
      
      section.nData     = 6;
      section.data(6)  = dumData; %prealloc
      
	  ;% double_new_moment_DW.Integrator_PrevResetState
	  section.data(1).logicalSrcIdx = 48;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_DW.Filter_PrevResetState
	  section.data(2).logicalSrcIdx = 49;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_DW.MeasurementUpdate_SubsysRanBC
	  section.data(3).logicalSrcIdx = 50;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_DW.MeasurementUpdate_SubsysRanBC_n
	  section.data(4).logicalSrcIdx = 51;
	  section.data(4).dtTransOffset = 3;
	
	  ;% double_new_moment_DW.EnabledSubsystem_SubsysRanBC
	  section.data(5).logicalSrcIdx = 52;
	  section.data(5).dtTransOffset = 4;
	
	  ;% double_new_moment_DW.EnabledSubsystem_SubsysRanBC_d
	  section.data(6).logicalSrcIdx = 53;
	  section.data(6).dtTransOffset = 5;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(5) = section;
      clear section
      
      section.nData     = 12;
      section.data(12)  = dumData; %prealloc
      
	  ;% double_new_moment_DW.icLoad
	  section.data(1).logicalSrcIdx = 54;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_DW.icLoad_e
	  section.data(2).logicalSrcIdx = 55;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_DW.Integrator_IC_LOADING
	  section.data(3).logicalSrcIdx = 56;
	  section.data(3).dtTransOffset = 2;
	
	  ;% double_new_moment_DW.Filter_IC_LOADING
	  section.data(4).logicalSrcIdx = 57;
	  section.data(4).dtTransOffset = 3;
	
	  ;% double_new_moment_DW.icLoad_d
	  section.data(5).logicalSrcIdx = 58;
	  section.data(5).dtTransOffset = 4;
	
	  ;% double_new_moment_DW.icLoad_ey
	  section.data(6).logicalSrcIdx = 59;
	  section.data(6).dtTransOffset = 5;
	
	  ;% double_new_moment_DW.is_active_c3_double_new_moment
	  section.data(7).logicalSrcIdx = 60;
	  section.data(7).dtTransOffset = 6;
	
	  ;% double_new_moment_DW.is_c3_double_new_moment
	  section.data(8).logicalSrcIdx = 61;
	  section.data(8).dtTransOffset = 7;
	
	  ;% double_new_moment_DW.is_active_c2_double_new_moment
	  section.data(9).logicalSrcIdx = 62;
	  section.data(9).dtTransOffset = 8;
	
	  ;% double_new_moment_DW.is_c2_double_new_moment
	  section.data(10).logicalSrcIdx = 63;
	  section.data(10).dtTransOffset = 9;
	
	  ;% double_new_moment_DW.is_active_c4_double_new_moment
	  section.data(11).logicalSrcIdx = 64;
	  section.data(11).dtTransOffset = 10;
	
	  ;% double_new_moment_DW.is_c4_double_new_moment
	  section.data(12).logicalSrcIdx = 65;
	  section.data(12).dtTransOffset = 11;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(6) = section;
      clear section
      
      section.nData     = 3;
      section.data(3)  = dumData; %prealloc
      
	  ;% double_new_moment_DW.isStable
	  section.data(1).logicalSrcIdx = 66;
	  section.data(1).dtTransOffset = 0;
	
	  ;% double_new_moment_DW.isStable_o
	  section.data(2).logicalSrcIdx = 67;
	  section.data(2).dtTransOffset = 1;
	
	  ;% double_new_moment_DW.isStable_n
	  section.data(3).logicalSrcIdx = 68;
	  section.data(3).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(7) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (dwork)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    dworkMap.nTotData = nTotData;
    


  ;%
  ;% Add individual maps to base struct.
  ;%

  targMap.paramMap  = paramMap;    
  targMap.signalMap = sigMap;
  targMap.dworkMap  = dworkMap;
  
  ;%
  ;% Add checksums to base struct.
  ;%


  targMap.checksum0 = 48234119;
  targMap.checksum1 = 636100176;
  targMap.checksum2 = 1734497484;
  targMap.checksum3 = 733960273;

